POST V1/CustomerSupport.{ext}/IdeaDetails?isUpdate={isUpdate}&isRespond={isRespond}&fromMobile={fromMobile}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
isUpdate

No description available

string

Required

isRespond

No description available

boolean

Default value is False

fromMobile

No description available

boolean

Default value is False

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Inventory.Entities.ShareIdea
NameDescriptionTypeAdditional information
IdeaDetails

No description available

EMS.Inventory.Entities.IdeaDetail

None.

IdeaAttachments

No description available

EMS.Inventory.Entities.IdeaAttachments

None.

TempIdeaAttachmentsFolder

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "ideaDetails": {
    "ideaId": 1,
    "ideaNumber": "sample string 2",
    "product": "sample string 3",
    "ideaPriority": "sample string 4",
    "requirementType": "sample string 5",
    "title": "sample string 6",
    "description": "sample string 7",
    "ideaStatus": "sample string 8",
    "impact": "sample string 9",
    "ideaScope": "sample string 10",
    "createdUser": "sample string 11",
    "createdDate": "2026-06-01T14:14:39.0060091-04:00",
    "modifiedUser": "sample string 13",
    "modifiedDate": "2026-06-01T14:14:39.0060091-04:00",
    "comments": "sample string 15",
    "createdUserEmail": "sample string 16",
    "createdUserFullName": "sample string 17",
    "createdUserRole": "sample string 18",
    "assignedTo": "sample string 19",
    "fromDate": "sample string 20",
    "toDate": "sample string 21",
    "richDescription": "sample string 22",
    "impactOthers": "sample string 23",
    "ideaStatusCode": "sample string 24",
    "ideaScopeCode": "sample string 25"
  },
  "ideaAttachments": {
    "ideaAttachmentList": [
      {
        "ideaAttachementId": 1,
        "status": "sample string 2",
        "fileName": "sample string 3",
        "createdDate": "sample string 4",
        "createdUser": "sample string 5",
        "modifiedUser": "sample string 6",
        "modifiedDate": "2026-06-01T14:14:39.0060091-04:00"
      },
      {
        "ideaAttachementId": 1,
        "status": "sample string 2",
        "fileName": "sample string 3",
        "createdDate": "sample string 4",
        "createdUser": "sample string 5",
        "modifiedUser": "sample string 6",
        "modifiedDate": "2026-06-01T14:14:39.0060091-04:00"
      }
    ]
  },
  "tempIdeaAttachmentsFolder": "sample string 1"
}

application/xml, text/xml

Sample:
<ShareIdea xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Inventory.Entities">
  <IdeaAttachments>
    <IdeaAttachmentList>
      <IdeaAttachment>
        <CreatedDate>sample string 4</CreatedDate>
        <CreatedUser>sample string 5</CreatedUser>
        <FileName>sample string 3</FileName>
        <IdeaAttachementId>1</IdeaAttachementId>
        <ModifiedDate>2026-06-01T14:14:39.0060091-04:00</ModifiedDate>
        <ModifiedUser>sample string 6</ModifiedUser>
        <Status>sample string 2</Status>
      </IdeaAttachment>
      <IdeaAttachment>
        <CreatedDate>sample string 4</CreatedDate>
        <CreatedUser>sample string 5</CreatedUser>
        <FileName>sample string 3</FileName>
        <IdeaAttachementId>1</IdeaAttachementId>
        <ModifiedDate>2026-06-01T14:14:39.0060091-04:00</ModifiedDate>
        <ModifiedUser>sample string 6</ModifiedUser>
        <Status>sample string 2</Status>
      </IdeaAttachment>
    </IdeaAttachmentList>
  </IdeaAttachments>
  <IdeaDetails>
    <AssignedTo>sample string 19</AssignedTo>
    <Comments>sample string 15</Comments>
    <CreatedDate>2026-06-01T14:14:39.0060091-04:00</CreatedDate>
    <CreatedUser>sample string 11</CreatedUser>
    <CreatedUserEmail>sample string 16</CreatedUserEmail>
    <CreatedUserFullName>sample string 17</CreatedUserFullName>
    <CreatedUserRole>sample string 18</CreatedUserRole>
    <Description>sample string 7</Description>
    <FromDate>sample string 20</FromDate>
    <IdeaId>1</IdeaId>
    <IdeaNumber>sample string 2</IdeaNumber>
    <IdeaPriority>sample string 4</IdeaPriority>
    <IdeaScope>sample string 10</IdeaScope>
    <IdeaScopeCode>sample string 25</IdeaScopeCode>
    <IdeaStatus>sample string 8</IdeaStatus>
    <IdeaStatusCode>sample string 24</IdeaStatusCode>
    <Impact>sample string 9</Impact>
    <ImpactOthers>sample string 23</ImpactOthers>
    <ModifiedDate>2026-06-01T14:14:39.0060091-04:00</ModifiedDate>
    <ModifiedUser>sample string 13</ModifiedUser>
    <Product>sample string 3</Product>
    <RequirementType>sample string 5</RequirementType>
    <RichDescription>sample string 22</RichDescription>
    <Title>sample string 6</Title>
    <ToDate>sample string 21</ToDate>
  </IdeaDetails>
  <TempIdeaAttachmentsFolder>sample string 1</TempIdeaAttachmentsFolder>
</ShareIdea>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Inventory.Entities.ShareIdea
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Inventory.Entities.ShareIdea

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "ShareIdea",
  "response": {
    "ideaDetails": {
      "ideaId": 1,
      "ideaNumber": "sample string 2",
      "product": "sample string 3",
      "ideaPriority": "sample string 4",
      "requirementType": "sample string 5",
      "title": "sample string 6",
      "description": "sample string 7",
      "ideaStatus": "sample string 8",
      "impact": "sample string 9",
      "ideaScope": "sample string 10",
      "createdUser": "sample string 11",
      "createdDate": "2026-06-01T14:14:39.0216261-04:00",
      "modifiedUser": "sample string 13",
      "modifiedDate": "2026-06-01T14:14:39.0216261-04:00",
      "comments": "sample string 15",
      "createdUserEmail": "sample string 16",
      "createdUserFullName": "sample string 17",
      "createdUserRole": "sample string 18",
      "assignedTo": "sample string 19",
      "fromDate": "sample string 20",
      "toDate": "sample string 21",
      "richDescription": "sample string 22",
      "impactOthers": "sample string 23",
      "ideaStatusCode": "sample string 24",
      "ideaScopeCode": "sample string 25"
    },
    "ideaAttachments": {
      "ideaAttachmentList": [
        {
          "ideaAttachementId": 1,
          "status": "sample string 2",
          "fileName": "sample string 3",
          "createdDate": "sample string 4",
          "createdUser": "sample string 5",
          "modifiedUser": "sample string 6",
          "modifiedDate": "2026-06-01T14:14:39.0216261-04:00"
        },
        {
          "ideaAttachementId": 1,
          "status": "sample string 2",
          "fileName": "sample string 3",
          "createdDate": "sample string 4",
          "createdUser": "sample string 5",
          "modifiedUser": "sample string 6",
          "modifiedDate": "2026-06-01T14:14:39.0216261-04:00"
        }
      ]
    },
    "tempIdeaAttachmentsFolder": "sample string 1"
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.